Page MenuHomePhabricator

Bottom sheet popup for adding/translating/editing image captions
Closed, ResolvedPublic4 Story Points

Description

Conceptual descriptions

  • The bottom sheet will be used in the following, related tasks: T224051, T223131, T223129, T223128
  • Bottom sheet includes details about a file
  • Can be tapped or dragged to full screen view.
  • It allows users to look up details of a file without leaving the current page (check out this example from Google Maps or Material Design Guidelines about bottom sheets)

Visuals / states

Event Timeline

@schoenbaechler @Charlotte

  1. Should the image metadata fields shown here be the same as in T223132?
  2. There are some fields we can get from existing APIs. Those fields are structured captions, unstructured captions, description, artist, credit, license, and depicts. Would it be possible to ship a first iteration with just these fields and a link to the file page or would you rather hold off on being able to pull information from the file page?
  3. Is there a specific list of fields you'd like to try to pull from the file page?

@schoenbaechler @Charlotte

  1. Should the image metadata fields shown here be the same as in T223132?

AFAIK there are additional fields specified in T223132, although the design looks very similar. @schoenbaechler, do the specified fields differ?

  1. There are some fields we can get from existing APIs. Those fields are structured captions, unstructured captions, description, artist, credit, license, and depicts. Would it be possible to ship a first iteration with just these fields and a link to the file page or would you rather hold off on being able to pull information from the file page?

For me it would be perfectly acceptable to do so. I think these fields are enough to support the use case we care about, which is that the user is able to translate/add a useful caption. @schoenbaechler, do you have a vociferous objection to this?

  1. Is there a specific list of fields you'd like to try to pull from the file page?

@schoenbaechler - Are there additional fields that we need to support the use case (translating a caption) for V1, or is @JoeWalsh's list in question 2 enough?

schoenbaechler added a comment.EditedMay 16 2019, 7:42 AM

@Charlotte @JoeWalsh

  1. Should the image metadata fields shown here be the same as in T223132?

Yes! As mentioned in T223132 though, I’m planning to discuss the file page draft at the Hackathon. No blocker though, we could process that feedback for captions v2.

  1. There are some fields we can get from existing APIs. Those fields are structured captions, unstructured captions, description, artist, credit, license, and depicts. Would it be possible to ship a first iteration with just these fields and a link to the file page or would you rather hold off on being able to pull information from the file page?

Isn’t the description the unstructured caption? Otherwise sounds good for a first version, as long as we include the link to the file page with all infos at the bottom of the sheet (see visuals on Zeplin)

  1. Is there a specific list of fields you'd like to try to pull from the file page

Yes, this would be the current draft (to be discussed at the Hackathon):

  • Image caption (structured if available, else unstructured)
  • Depicts
  • Author
  • Artist
  • Date
  • Source/Photographer
  • Licensing
  • File usage on Wikipedia in the current app language(s)
  • More infos (link to file page on Commons)
Charlotte triaged this task as Normal priority.May 21 2019, 4:58 PM
Charlotte set the point value for this task to 4.
schoenbaechler renamed this task from Bottom sheet popup for image caption translation to Bottom sheet popup for adding/translating/editing image captions.May 22 2019, 5:04 PM

@Sharvaniharan: the bottom sheet will be used in these following tasks: T224051, T223131, T223129, T223128. So you’re aware that there might be overlaps. LMK if you have any questions.

@schoenbaechler couple questions...
1.what are the options on the overflow menu?
2.The toolbar scrolls with the dialog as it is not a separate activity and cannot behave like a regular screens' toolbar. Is that ok?

@Sharvaniharan

1.what are the options on the overflow menu?

There’s only one right now: “Go to file page”. The reason why it’s hidden in the overflow menu is we don’t want to promote it since it’s not optimized (coming in V2: T223132). I’m thinking about a more prominent button at the bottom for V2.

  1. The toolbar scrolls with the dialog as it is not a separate activity and cannot behave like a regular screens' toolbar. Is that ok?

Could you provide a video of the behavior you’re describing? (or example) Having a hard time getting a feeling for it.


Thanks!

There’s only one right now: “Go to file page”. The reason why it’s hidden in the overflow menu is we don’t want to promote it since it’s not optimized (coming in V2: T223132). I’m thinking about a more prominent button at the bottom for V2.

So we will have this option on the screen and in the menu, both places?

schoenbaechler added a comment.EditedJun 3 2019, 4:24 PM

@Sharvaniharan, I totally forgot about the link at the bottom of the sheet, i think it’s totally enough for now (as you probably suspected)! Please don’t add any overflow option at all, will update the screens.

Thank you @schoenbaechler :) Will do that..

Thanks for the work on this @Sharvaniharan. Moving the task to QA signoff as all the issues related to the bottom sheet are listed in T225635, namely 3), 8), 9), 10), 25), 26), 28).

ABorbaWMF added a subscriber: ABorbaWMF.

Testing on 2.7.50282-alpha-2019-06-18. This is working for me on phone devices, but I am seeing some odd behavior on tablet. When tapping expand, the popup is initially expanding in the bottom 1/4 of the screen.

Tablet


Phone

Dbrant closed this task as Resolved.Jul 11 2019, 3:52 PM